<?php
namespace Bss\AjaxCart\Block\Ajax\Template;

/**
 * Interceptor class for @see \Bss\AjaxCart\Block\Ajax\Template
 */
class Interceptor extends \Bss\AjaxCart\Block\Ajax\Template implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Framework\Serialize\Serializer\Json $jsonEncoder, \Magento\Framework\View\Element\Template\Context $context, \Bss\AjaxCart\Helper\Data $ajaxHelper, \Magento\Catalog\Helper\Image $imageHelper, \Magento\Checkout\Helper\Cart $cartHelper, \Magento\Framework\Pricing\Helper\Data $pricingHelper, \Magento\Weee\Helper\Data $weeeHelper)
    {
        $this->___init();
        parent::__construct($jsonEncoder, $context, $ajaxHelper, $imageHelper, $cartHelper, $pricingHelper, $weeeHelper);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
